View Issue Details

IDProjectCategoryView StatusLast Update
0022842mantisbtcode cleanuppublic2017-10-28 19:08
ReporterdregadAssigned Todregad 
PrioritynormalSeveritytweakReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target Version2.8.0Fixed in Version2.8.0 
Summary0022842: Remove php_version_at_least() function from PHP API
Description

The php_version_at_least() function was added back in 2002 (see MantisBT master 18d3e4b5), before the availability of standard version_compare() function (new in PHP 4.1)

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master e78e7187

2017-05-07 04:15:28

dregad

Details Diff
Remove php_version_at_least() API function

Standard version_compare() function was introduced in PHP 4.1, and
should be used instead.

Fixes 0022842
mod - core.php Diff File
mod - core/php_api.php Diff File

Issue History

Date Modified Username Field Change
2017-05-07 04:01 dregad New Issue
2017-05-07 04:01 dregad Status new => assigned
2017-05-07 04:01 dregad Assigned To => dregad
2017-06-04 16:19 atrol Target Version 2.5.0 => 2.6.0
2017-09-03 18:50 vboctor Target Version 2.6.0 => 2.7.0
2017-10-08 23:55 vboctor Target Version 2.7.0 => 2.8.0
2017-10-22 15:58 dregad Changeset attached => MantisBT master e78e7187
2017-10-22 15:58 dregad Status assigned => resolved
2017-10-22 15:58 dregad Resolution open => fixed
2017-10-22 15:58 dregad Fixed in Version => 2.8.0
2017-10-28 19:08 vboctor Status resolved => closed